Loading...
Searching...
No Matches
Connector.h File Reference

A generic pattern for establishing connection with TCP/IP servers. More...

`#include <unistd.h>`
`#include <fcntl.h>`
`#include <sys/socket.h>`
`#include <string.h>`
`#include <errno.h>`
`#include "assa/Logger.h"`
`#include "assa/EventHandler.h"`
`#include "assa/Reactor.h"`
`#include "assa/TimeVal.h"`
`#include "assa/Address.h"`
`#include "assa/Socket.h"`

Go to the source code of this file.

## Classes

class | ASSA::Connector< SERVICE_HANDLER, PEER_CONNECTOR >
| Connector is a template class for initialization of communication services. More...

## Namespaces

namespace | ASSA

## Macros

#define | SH SERVICE_HANDLER
#define | PC PEER_CONNECTOR

## Enumerations

enum | ASSA::ConnectMode { ASSA::sync , ASSA::async }

## Detailed Description

A generic pattern for establishing connection with TCP/IP servers.

Definition in file Connector.h.

## Macro Definition Documentation

## PC

#define PC PEER_CONNECTOR

Definition at line 197 of file Connector.h.

## SH

#define SH SERVICE_HANDLER

Definition at line 196 of file Connector.h.